<?xml version='1.0' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:ns1="http://DefaultNamespace" xmlns:ns2="http://aggregation.sintef.org"
     xmlns:ns3="http://support.sintef.org" xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">
     <xsl:output method="text" encoding="UTF-8"/>
     <xsl:strip-space elements="*"/>

     <xsl:template match="/">
          <![CDATA[ ]]>
          
          <xsl:apply-templates select="//ns2:aggregateResponse"/>
          <xsl:apply-templates select="//ns1:getValueByKeyResponse"/>
          <xsl:apply-templates select="//ns1:getPopulationFromDepartmentResponse"/>
         <xsl:apply-templates select="//ns3:multiplyResponse"/>
          <xsl:apply-templates select="//ns3:passthroughResponse"/>
     </xsl:template>

     <xsl:template match="ns2:aggregateResponse"> wsmlVariant
          _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule" namespace {
          _"http://www.example.org/SwingAggregateOntologyInstances#", dc
          _"http://purl.org/dc/elements/1.1#", soa _"http://www.swing.org/Ontology/Aggregate#", si
          _"http://www.swing.org/Ontology/Aggregate/Instances#", brgm
          _"http://swing.brgm.fr/Ontology/BRGM#", brgmi
          _"http://swing.brgm.fr/Ontology/BRGM/Instances#", ins
          _"http://swing.brgm.fr/INSEEOntology#", insi
          _"http://swing.brgm.fr/INSEEOntology/Instances#", sso
          _"http://www.swing.org/ontology/supportService#", ssi
          _"http://www.swing.org/ontology/supportServiceInstances#" } ontology
          _"http://www.swing.org/Ontology/Aggregate/Instances<xsl:value-of select="//counter"/>" importsOntology
          {_"http://www.swing.org/Ontology/Aggregate" } instance si#AggregateResponseInst<xsl:value-of select="//counter"/> memberOf
          soa#AggregateResponse soa#aggregateReturn hasValue <xsl:value-of
               select="ns2:aggregateReturn"/>
     </xsl:template>

     <xsl:template match="ns1:getValueByKeyResponse"> wsmlVariant
          _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule" namespace {
          _"http://www.example.org/SwingAggregateOntologyInstances#", dc
          _"http://purl.org/dc/elements/1.1#", soa _"http://www.swing.org/Ontology/Aggregate#", si
          _"http://www.swing.org/Ontology/Aggregate/Instances#", brgm
          _"http://swing.brgm.fr/Ontology/BRGM#", brgmi
          _"http://swing.brgm.fr/Ontology/BRGM/Instances#", ins
          _"http://swing.brgm.fr/INSEEOntology#", insi
          _"http://swing.brgm.fr/INSEEOntology/Instances#", sso
          _"http://www.swing.org/ontology/supportService#", ssi
          _"http://www.swing.org/ontology/supportServiceInstances#" } ontology
          _"http://swing.brgm.fr/Ontology/BRGM/Instances<xsl:value-of select="//counter"/>" importsOntology
          {_"http://swing.brgm.fr/Ontology/BRGM" } instance brgmi#myconstantresponse<xsl:value-of select="//counter"/> memberOf
          brgm#SocioEconomicConstantsResponse brgm#return hasValue <xsl:value-of
               select="child::node()"/>
     </xsl:template>

     <xsl:template match="ns1:getPopulationFromDepartmentResponse"> wsmlVariant
          _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule" namespace {
          _"http://www.example.org/SwingAggregateOntologyInstances#", dc
          _"http://purl.org/dc/elements/1.1#", soa _"http://www.swing.org/Ontology/Aggregate#", si
          _"http://www.swing.org/Ontology/Aggregate/Instances#", brgm
          _"http://swing.brgm.fr/Ontology/BRGM#", brgmi
          _"http://swing.brgm.fr/Ontology/BRGM/Instances#", ins
          _"http://swing.brgm.fr/INSEEOntology#", insi
          _"http://swing.brgm.fr/INSEEOntology/Instances#", sso
          _"http://www.swing.org/ontology/supportService#", ssi
          _"http://www.swing.org/ontology/supportServiceInstances#" } ontology
          _"http://swing.brgm.fr/INSEEOntology/Instances<xsl:value-of select="//counter"/>" importsOntology
          {_"http://swing.brgm.fr/INSEEOntology" } instance insi#depresponse<xsl:value-of select="//counter"/> memberOf
          ins#INSEEgetPopulationByDepartmentResponse ins#INSEEgetPopulationByDepartmentReturn
          hasValue <xsl:value-of select="child::node()"/>
     </xsl:template>

     <xsl:template match="ns3:multiplyResponse"> 
          wsmlVariant
          _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule" namespace {
          _"http://www.example.org/SwingAggregateOntologyInstances#", dc
          _"http://purl.org/dc/elements/1.1#", soa _"http://www.swing.org/Ontology/Aggregate#", si
          _"http://www.swing.org/Ontology/Aggregate/Instances#", brgm
          _"http://swing.brgm.fr/Ontology/BRGM#", brgmi
          _"http://swing.brgm.fr/Ontology/BRGM/Instances#", ins
          _"http://swing.brgm.fr/INSEEOntology#", insi
          _"http://swing.brgm.fr/INSEEOntology/Instances#", sso
          _"http://www.swing.org/ontology/supportService#", ssi
          _"http://www.swing.org/ontology/supportServiceInstances#" } ontology
          _"http://www.swing.org/ontology/supportServiceInstances<xsl:value-of select="//counter"/>" importsOntology {
          _"http://www.swing.org/ontology/supportService" } instance ssi#MultResp<xsl:value-of select="//counter"/> memberOf
          sso#MultiplyResponse sso#result hasValue <xsl:value-of select="ns3:multiplyReturn"/>
     </xsl:template>


     <xsl:template match="ns3:passthroughResponse">
          <xsl:value-of select="ns3:passthroughReturn"/>
     </xsl:template>


</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\..\Program Files\Stylus Studio 2006 XML Enterprise Edition\bin\AddLineResponse.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->
