<?xml version="1.0" encoding="ISO-8859-1"?>
     <xsl:stylesheet 
     	xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" 
     	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
     	xmlns:ws="http://sfs.atos.es/carRentalBooking" 
     	xmlns:xs="http://www.w3.org/2001/XMLSchema" 
     	version="1.1"> 

        <xsl:output method = "text" encoding="utf-8" indent="yes" /> 

        <xsl:template match = "/" >
        <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-flight"
          namespace { _"http://www.infrawebs-eu.org/sfs/ontologies/carRentalBooking_output#", 
    		cb _"http://www.infrawebs-eu.org/sfs/ontologies/carRentalBooking#",
    		dc _"http://purl.org/dc/elements/1.1#",
    		dt _"http://www.infrawebs-eu.org/sfs/ontologies/dateTime#",
    		bo _"http://www.infrawebs-eu.org/sfs/ontologies/booking#",
    		cr _"http://www.infrawebs-eu.org/sfs/ontologies/carRental#",
    		loc _"http://www.infrawebs-eu.org/sfs/ontologies/location#",
    		cu  _"http://example.org/customer#",
    		xsd _"http://www.w3.org/2001/XMLSchema#"
    	  }

          ontology _"http://www.infrawebs-eu.org/sfs/ontologies/carRentalBooking_output"

		    importsOntology {
    			_"http://www.infrawebs-eu.org/sfs/ontologies/carRentalBooking",
    			_"http://www.infrawebs-eu.org/sfs/ontologies/dateTime",
    			_"http://www.infrawebs-eu.org/sfs/ontologies/booking",
    			_"http://www.infrawebs-eu.org/sfs/ontologies/carRental",
    			_"http://www.infrawebs-eu.org/sfs/ontologies/location"
    		}
          ]]>

          <xsl:apply-templates select="ws:availableCarRentals"/>
          <xsl:apply-templates select="ws:carRentalBooking"/>
        </xsl:template>
        
        <xsl:template match="ws:availableCarRentals">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf cb#availableCarRentals]]>
            <xsl:for-each select="./ws:availableCarRentalsInfo">
              <![CDATA[availableCarRentalsInfo hasValue ]]><xsl:value-of select="@instanceId"/>
            </xsl:for-each>

          <xsl:for-each select=".">
            <xsl:apply-templates select="ws:availableCarRentalsInfo"/>
          </xsl:for-each>
        </xsl:template>
        
        <xsl:template match="ws:carRentalBooking">
        	<![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf cb#carRentalBooking]]>
            <![CDATA[seller hasValue "]]><xsl:apply-templates select="ws:seller"/><![CDATA["]]>
            <![CDATA[buyer hasValue "]]><xsl:apply-templates select="ws:buyer"/><![CDATA["]]>
            <![CDATA[bookingId hasValue "]]><xsl:apply-templates select="ws:bookingId"/><![CDATA["]]>
            <![CDATA[hasCarRentalBookingInfo hasValue ]]><xsl:value-of select="./ws:hasCarRentalBookingInfo/@instanceId"/>
            
            <xsl:apply-templates select="ws:hasCarRentalBookingInfo"/>
        </xsl:template>
        
        <xsl:template match="ws:availableCarRentalsInfo">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf cb#carRentalBookingInfo
            pickupLocation hasValue ]]><xsl:value-of select="./ws:pickupLocation/@instanceId"/>
            <![CDATA[returnLocation hasValue ]]><xsl:value-of select="./ws:returnLocation/@instanceId"/>
            <![CDATA[pickupDateAndTime hasValue ]]><xsl:value-of select="./ws:pickupDateAndTime/@instanceId"/>
            <![CDATA[returnDateAndTime hasValue ]]><xsl:value-of select="./ws:returnDateAndTime/@instanceId"/>
            <![CDATA[hasCar hasValue ]]><xsl:value-of select="./ws:hasCar/@instanceId"/>
            
          <xsl:apply-templates select="ws:pickupLocation"/>
          <xsl:if test="ws:pickupLocation/@instanceId != ws:returnLocation/@instanceId">
            <xsl:apply-templates select="ws:returnLocation"/>
          </xsl:if>
          <xsl:apply-templates select="ws:pickupDateAndTime"/>
          <xsl:if test="ws:pickupDateAndTime/@instanceId != ws:returnDateAndTime/@instanceId">
            <xsl:apply-templates select="ws:returnDateAndTime"/>
          </xsl:if>
          <xsl:apply-templates select="ws:hasCar"/>
        </xsl:template>

        <xsl:template match="ws:hasCarRentalBookingInfo">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf cb#carRentalBookingInfo
            pickupLocation hasValue ]]><xsl:value-of select="./ws:pickupLocation/@instanceId"/>
            <![CDATA[returnLocation hasValue ]]><xsl:value-of select="./ws:returnLocation/@instanceId"/>
            <![CDATA[pickupDateAndTime hasValue ]]><xsl:value-of select="./ws:pickupDateAndTime/@instanceId"/>
            <![CDATA[returnDateAndTime hasValue ]]><xsl:value-of select="./ws:returnDateAndTime/@instanceId"/>
            <![CDATA[hasCar hasValue ]]><xsl:value-of select="./ws:hasCar/@instanceId"/>
            
          <xsl:apply-templates select="ws:pickupLocation"/>
          <xsl:if test="ws:pickupLocation/@instanceId != ws:returnLocation/@instanceId">
            <xsl:apply-templates select="ws:returnLocation"/>
          </xsl:if>
          <xsl:apply-templates select="ws:pickupDateAndTime"/>
          <xsl:if test="ws:pickupDateAndTime/@instanceId != ws:returnDateAndTime/@instanceId">
            <xsl:apply-templates select="ws:returnDateAndTime"/>
          </xsl:if>
          <xsl:apply-templates select="ws:hasCar"/>
        </xsl:template>

        <xsl:template match = "ws:pickupCity" >
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf loc#location]]>
            <![CDATA[ continent hasValue "]]><xsl:apply-templates select="ws:continent"/><![CDATA["]]>
            <![CDATA[ country hasValue "]]><xsl:apply-templates select="ws:country"/><![CDATA["]]>
            <![CDATA[ city hasValue "]]><xsl:apply-templates select="ws:city"/><![CDATA["]]>
        </xsl:template>
        
        <xsl:template match="ws:pickupDate">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
        </xsl:template>
        
        <xsl:template match="ws:returnDate">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
        </xsl:template>

        <xsl:template match="ws:allowSendToHome">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:allowOutlineReturn">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:continent">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:city">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:country">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:street">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:number">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:year">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:month">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:day">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:hour">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:minute">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:second">
          <xsl:value-of select="."/>
        </xsl:template>


        <xsl:template match = "ws:pickupLocation" >
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf loc#location]]>
            <![CDATA[ continent hasValue "]]><xsl:apply-templates select="ws:continent"/><![CDATA["]]>
            <![CDATA[ country hasValue "]]><xsl:apply-templates select="ws:country"/><![CDATA["]]>
            <![CDATA[ city hasValue "]]><xsl:apply-templates select="ws:city"/><![CDATA["]]>
            <![CDATA[ street hasValue ]]><xsl:apply-templates select="ws:street"/>
            <![CDATA[ number hasValue ]]><xsl:apply-templates select="ws:number"/>
        </xsl:template>

        <xsl:template match = "ws:returnLocation" >
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf loc#location]]>
            <![CDATA[ continent hasValue "]]><xsl:apply-templates select="ws:continent"/><![CDATA["]]>
            <![CDATA[ country hasValue "]]><xsl:apply-templates select="ws:country"/><![CDATA["]]>
            <![CDATA[ city hasValue "]]><xsl:apply-templates select="ws:city"/><![CDATA["]]>
            <![CDATA[ street hasValue ]]><xsl:apply-templates select="ws:street"/>
            <![CDATA[ number hasValue ]]><xsl:apply-templates select="ws:number"/>
        </xsl:template>

        <xsl:template match="ws:pickupDateAndTime">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
            <![CDATA[ hour hasValue ]]><xsl:apply-templates select="ws:hour"/>
            <![CDATA[ minute hasValue ]]><xsl:apply-templates select="ws:minute"/>
            <![CDATA[ second hasValue ]]><xsl:apply-templates select="ws:second"/>
        </xsl:template>

        <xsl:template match="ws:returnDateAndTime">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
            <![CDATA[ hour hasValue ]]><xsl:apply-templates select="ws:hour"/>
            <![CDATA[ minute hasValue ]]><xsl:apply-templates select="ws:minute"/>
            <![CDATA[ second hasValue ]]><xsl:apply-templates select="ws:second"/>
        </xsl:template>

        <xsl:template match="ws:hasCar">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf cr#car]]>
            <![CDATA[ carNumber hasValue "]]><xsl:apply-templates select="ws:carNumber"/><![CDATA["]]>
            <![CDATA[ doorCount hasValue ]]><xsl:apply-templates select="ws:doorCount"/>
            <![CDATA[ carSize hasValue ]]><xsl:apply-templates select="ws:carSize"/>
            <![CDATA[ mileageLimited hasValue _boolean("]]><xsl:apply-templates select="ws:mileageLimited"/><![CDATA[")]]>
            <![CDATA[ hasAirConditioning hasValue _boolean("]]><xsl:apply-templates select="ws:hasAirConditioning"/><![CDATA[")]]>
            <![CDATA[ hasChildSeat hasValue _boolean("]]><xsl:apply-templates select="ws:hasChildSeat"/><![CDATA[")]]>
        </xsl:template>

        <xsl:template match="ws:hasChildSeat">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:carNumber">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:bookingId">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:doorCount">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:carSize">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:mileageLimited">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:hasAirConditioning">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:buyer">
          <xsl:value-of select="."/>
        </xsl:template>
     </xsl:stylesheet> 
