<?xml version="1.0" encoding="ISO-8859-1"?>
     <xsl:stylesheet 
     	xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" 
     	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
     	xmlns:ws="http://sfs.atos.es/flightBooking" 
     	xmlns:xs="http://www.w3.org/2001/XMLSchema" 
     	version="1.1"> 

        <xsl:output method = "text" encoding="utf-8" indent="yes" /> 
          
        <xsl:template match = "/" >
        <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-flight"
          namespace{ _"http://www.infrawebs-eu.org/sfs/ontologies/flightBooking_input#",
            fb _"http://www.infrawebs-eu.org/sfs/ontologies/flightBooking#",
            dc _"http://purl.org/dc/elements/1.1#",
            dt _"http://www.infrawebs-eu.org/sfs/ontologies/dateTime#",
            bo _"http://www.infrawebs-eu.org/sfs/ontologies/booking#",
            fl _"http://www.infrawebs-eu.org/sfs/ontologies/flight#",
            loc _"http://www.infrawebs-eu.org/sfs/ontologies/location#",
            cu  _"http://example.org/customer#",
            xsd _"http://www.w3.org/2001/XMLSchema#"
          }

          ontology _"http://www.infrawebs-eu.org/sfs/ontologies/flightBooking_input"

          importsOntology {
            _"http://www.infrawebs-eu.org/sfs/ontologies/flightBooking#",
            _"http://www.infrawebs-eu.org/sfs/ontologies/dateTime",
            _"http://www.infrawebs-eu.org/sfs/ontologies/booking",
            _"http://www.infrawebs-eu.org/sfs/ontologies/flight",
            _"http://www.infrawebs-eu.org/sfs/ontologies/location"
          }
          ]]>
          
          <xsl:apply-templates select="ws:flightBookingRequest"/>
          <xsl:apply-templates select="ws:airTripRequest"/>
          
        </xsl:template>
        
        <xsl:template match="ws:flightBookingRequest">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf fb#flightBookingRequest
            startLocation hasValue ]]><xsl:value-of select="./ws:startLocation/@instanceId"/>
            <![CDATA[endLocation hasValue ]]><xsl:value-of select="./ws:endLocation/@instanceId"/>
            <![CDATA[departure hasValue ]]><xsl:value-of select="./ws:departure/@instanceId"/>
            <![CDATA[arrival hasValue ]]><xsl:value-of select="./ws:arrival/@instanceId"/>
            <![CDATA[numberOfPersons hasValue ]]><xsl:apply-templates select="ws:numberOfPersons"/>
            <![CDATA[seatClass hasValue "]]><xsl:apply-templates select="ws:seatClass"/><![CDATA["]]>
            <![CDATA[buyerPoints hasValue ]]><xsl:apply-templates select="ws:buyerPoints"/>

          <xsl:apply-templates select="ws:startLocation"/>
          <xsl:apply-templates select="ws:endLocation"/>
          <xsl:apply-templates select="ws:departure"/>
          <xsl:apply-templates select="ws:arrival"/>
        </xsl:template>
        
        <xsl:template match = "ws:startLocation" >
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf loc#location]]>
            <![CDATA[ continent hasValue "]]><xsl:apply-templates select="ws:continent"/><![CDATA["]]>
            <![CDATA[ country hasValue "]]><xsl:apply-templates select="ws:country"/><![CDATA["]]>
            <![CDATA[ city hasValue "]]><xsl:apply-templates select="ws:city"/><![CDATA["]]>
        </xsl:template>
        
        <xsl:template match = "ws:endLocation" >
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf loc#location]]>
            <![CDATA[ continent hasValue "]]><xsl:apply-templates select="ws:continent"/><![CDATA["]]>
            <![CDATA[ country hasValue "]]><xsl:apply-templates select="ws:country"/><![CDATA["]]>
            <![CDATA[ city hasValue "]]><xsl:apply-templates select="ws:city"/><![CDATA["]]>
        </xsl:template>

        <xsl:template match="ws:departure">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
        </xsl:template>
        
        <xsl:template match="ws:arrival">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
        </xsl:template>

        <xsl:template match="ws:numberOfPersons">
          <xsl:value-of select="."/>
        </xsl:template>
        <xsl:template match="ws:seatClass">
          <xsl:value-of select="."/>
        </xsl:template>
        <xsl:template match="ws:buyerPoints">
          <xsl:value-of select="."/>
        </xsl:template>
        <xsl:template match="ws:continent">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:city">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:country">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:street">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:number">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:year">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:month">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:day">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:hour">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:minute">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:second">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:airTripRequest">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf fb#airTripRequest
            selectedOutgoingAirTrip hasValue ]]><xsl:value-of select="./ws:selectedOutgoingAirTrip/@instanceId"/>
            <![CDATA[selectedReturnAirTrip hasValue ]]><xsl:value-of select="./ws:selectedReturnAirTrip/@instanceId"/>
            <![CDATA[buyer hasValue "]]><xsl:apply-templates select="ws:buyer"/><![CDATA["]]>

          <xsl:apply-templates select="ws:selectedOutgoingAirTrip"/>
          <xsl:apply-templates select="ws:selectedReturnAirTrip"/>
        </xsl:template>

        <xsl:template match="ws:selectedOutgoingAirTrip">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf fb#airTripRequest
            startLocation hasValue ]]><xsl:value-of select="./ws:startLocation/@instanceId"/>
            <![CDATA[endLocation hasValue ]]><xsl:value-of select="./ws:endLocation/@instanceId"/>
            <![CDATA[startAirport hasValue "]]><xsl:apply-templates select="ws:startAirport"/><![CDATA["]]>
            <![CDATA[endAirport hasValue "]]><xsl:apply-templates select="ws:endAirport"/><![CDATA["]]>
            <![CDATA[departureTime hasValue ]]><xsl:value-of select="./ws:departureTime/@instanceId"/>
            <![CDATA[arrivalTime hasValue ]]><xsl:value-of select="./ws:arrivalTime/@instanceId"/>
            <![CDATA[airTripId hasValue "]]><xsl:apply-templates select="ws:airTripId"/><![CDATA["]]>
            <![CDATA[numberOfPersons hasValue ]]><xsl:apply-templates select="ws:numberOfPersons"/>
            <![CDATA[seatClass hasValue "]]><xsl:apply-templates select="ws:seatClass"/><![CDATA["]]>
            <![CDATA[flightCompany hasValue "]]><xsl:apply-templates select="ws:flightCompany"/><![CDATA["]]>
            
          <xsl:apply-templates select="ws:startLocation"/>
          <xsl:apply-templates select="ws:endLocation"/>
          <xsl:apply-templates select="ws:departureTime"/>
          <xsl:apply-templates select="ws:arrivalTime"/>
        </xsl:template>

        <xsl:template match="ws:selectedReturnAirTrip">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf fb#airTripRequest
            startLocation hasValue ]]><xsl:value-of select="./ws:startLocation/@instanceId"/>
            <![CDATA[endLocation hasValue ]]><xsl:value-of select="./ws:endLocation/@instanceId"/>
            <![CDATA[startAirport hasValue "]]><xsl:apply-templates select="ws:startAirport"/><![CDATA["]]>
            <![CDATA[endAirport hasValue "]]><xsl:apply-templates select="ws:endAirport"/><![CDATA["]]>
            <![CDATA[departureTime hasValue ]]><xsl:value-of select="./ws:departureTime/@instanceId"/>
            <![CDATA[arrivalTime hasValue ]]><xsl:value-of select="./ws:arrivalTime/@instanceId"/>
            <![CDATA[airTripId hasValue "]]><xsl:apply-templates select="ws:airTripId"/><![CDATA["]]>
            <![CDATA[numberOfPersons hasValue ]]><xsl:apply-templates select="ws:numberOfPersons"/>
            <![CDATA[seatClass hasValue "]]><xsl:apply-templates select="ws:seatClass"/><![CDATA["]]>
            <![CDATA[flightCompany hasValue "]]><xsl:apply-templates select="ws:flightCompany"/><![CDATA["]]>
            
          <xsl:apply-templates select="ws:startLocation"/>
          <xsl:apply-templates select="ws:endLocation"/>
          <xsl:apply-templates select="ws:departureTime"/>
          <xsl:apply-templates select="ws:arrivalTime"/>
        </xsl:template>

        <xsl:template match="ws:departureTime">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
            <![CDATA[ hour hasValue ]]><xsl:apply-templates select="ws:hour"/>
            <![CDATA[ minute hasValue ]]><xsl:apply-templates select="ws:minute"/>
        </xsl:template>

        <xsl:template match="ws:arrivalTime">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
            <![CDATA[ hour hasValue ]]><xsl:apply-templates select="ws:hour"/>
            <![CDATA[ minute hasValue ]]><xsl:apply-templates select="ws:minute"/>
        </xsl:template>

        <xsl:template match="ws:flightCompany">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:airTripId">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:buyer">
          <xsl:value-of select="."/>
        </xsl:template>
     </xsl:stylesheet> 
