<?xml version="1.0" encoding="ISO-8859-1"?>
     <xsl:stylesheet 
     	xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" 
     	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
     	xmlns:ws="http://sfs.atos.es/hotelBooking" 
     	xmlns:xs="http://www.w3.org/2001/XMLSchema" 
     	version="1.1"> 

        <xsl:output method = "text" encoding="utf-8" indent="yes" /> 
          
        <xsl:template match = "/" >
        <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-flight"

          namespace{ _"http://www.infrawebs-eu.org/sfs/ontologies/hotelBooking_output#",
            hb _"http://www.infrawebs-eu.org/sfs/ontologies/hotelBooking#",
            dc _"http://purl.org/dc/elements/1.1#",
            dt _"http://www.infrawebs-eu.org/sfs/ontologies/dateTime#",
            bo _"http://www.infrawebs-eu.org/sfs/ontologies/booking#",
            ho _"http://www.infrawebs-eu.org/sfs/ontologies/hotel#",
            loc _"http://www.infrawebs-eu.org/sfs/ontologies/location#",
            cu  _"http://example.org/customer#",
            xsd _"http://www.w3.org/2001/XMLSchema#"
          }

          ontology _"http://www.infrawebs-eu.org/sfs/ontologies/hotelBooking_output"

          importsOntology {
            _"http://www.infrawebs-eu.org/sfs/ontologies/hotelBooking#",
            _"http://www.infrawebs-eu.org/sfs/ontologies/dateTime",
            _"http://www.infrawebs-eu.org/sfs/ontologies/booking",
            _"http://www.infrawebs-eu.org/sfs/ontologies/hotel",
            _"http://www.infrawebs-eu.org/sfs/ontologies/location"
          }
          ]]>
          
          <xsl:apply-templates select="ws:availableHotelStays"/>
          <xsl:apply-templates select="ws:hotelRoomBooking"/>
        </xsl:template>
        
        <xsl:template match="ws:availableHotelStays">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf hb#availableHotelStays]]>
            <xsl:for-each select="./ws:availableStays">
              <![CDATA[availableStays hasValue ]]><xsl:value-of select="@instanceId"/>
            </xsl:for-each>

          <xsl:for-each select=".">
            <xsl:apply-templates select="ws:availableStays"/>
          </xsl:for-each>
        </xsl:template>
        
        <xsl:template match="ws:availableStays">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf hb#hotelStay
            stayId hasValue ]]><xsl:apply-templates select="ws:stayId"/>
            <![CDATA[hotel hasValue ]]><xsl:value-of select="./ws:hotel/@instanceId"/>
            <![CDATA[room hasValue ]]><xsl:value-of select="./ws:room/@instanceId"/>
            <![CDATA[checkIn hasValue ]]><xsl:value-of select="./ws:checkIn/@instanceId"/>
            <![CDATA[checkOut hasValue ]]><xsl:value-of select="./ws:checkOut/@instanceId"/>
            
          <xsl:apply-templates select="ws:checkIn"/>
          <xsl:if test="ws:checkIn/@instanceId != ws:checkOut/@instanceId">
            <xsl:apply-templates select="ws:checkOut"/>
          </xsl:if>
          <xsl:apply-templates select="ws:hotel"/>
          <xsl:apply-templates select="ws:room"/>
        </xsl:template>
        
        <xsl:template match="ws:hotel">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf ho#hotel]]>
          <![CDATA[ name hasValue "]]><xsl:apply-templates select="ws:name"/><![CDATA["]]>
          <![CDATA[ stars hasValue ]]><xsl:apply-templates select="ws:stars"/>
          <![CDATA[ hasRestaurant hasValue _boolean("]]><xsl:apply-templates select="ws:hasRestaurant"/><![CDATA[")]]>
          <![CDATA[ hasLocation hasValue ]]><xsl:value-of select="./ws:hasLocation/@instanceId"/>
          
          <xsl:apply-templates select="ws:hasLocation"/>
        </xsl:template>
        
        <xsl:template match="ws:room">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf ho#room]]>
          <![CDATA[ roomNumber hasValue ]]><xsl:apply-templates select="ws:roomNumber"/>
          <![CDATA[ pointsPerNight hasValue ]]><xsl:apply-templates select="ws:pointsPerNight"/>
          <![CDATA[ numberOfPersons hasValue ]]><xsl:apply-templates select="ws:numberOfPersons"/>
          <![CDATA[ numberOfBeds hasValue ]]><xsl:apply-templates select="ws:numberOfBeds"/>
          <![CDATA[ smoking hasValue _boolean("]]><xsl:apply-templates select="ws:smoking"/><![CDATA[")]]>
          <![CDATA[ internet hasValue _boolean("]]><xsl:apply-templates select="ws:internet"/><![CDATA[")]]>
        </xsl:template>

        <xsl:template match="ws:hotelRoomBooking">
        	<![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf hb#hotelRoomBooking]]>
            <![CDATA[ seller hasValue "]]><xsl:apply-templates select="ws:seller"/><![CDATA["]]>
            <![CDATA[ bookingId hasValue "]]><xsl:apply-templates select="ws:bookingId"/><![CDATA["]]>
            <![CDATA[ hasHotelStay hasValue ]]><xsl:value-of select="./ws:hasHotelStay/@instanceId"/>
            
            <xsl:apply-templates select="ws:hasHotelStay"/>
        </xsl:template>

        <xsl:template match="ws:hasHotelStay">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/><![CDATA[ memberOf hb#hotelStay
            stayId hasValue ]]><xsl:apply-templates select="ws:stayId"/>
            <![CDATA[hotel hasValue ]]><xsl:value-of select="./ws:hotel/@instanceId"/>
            <![CDATA[room hasValue ]]><xsl:value-of select="./ws:room/@instanceId"/>
            <![CDATA[checkIn hasValue ]]><xsl:value-of select="./ws:checkIn/@instanceId"/>
            <![CDATA[checkOut hasValue ]]><xsl:value-of select="./ws:checkOut/@instanceId"/>
            
          <xsl:apply-templates select="ws:checkIn"/>
          <xsl:if test="ws:checkIn/@instanceId != ws:checkOut/@instanceId">
            <xsl:apply-templates select="ws:checkOut"/>
          </xsl:if>
            
          <xsl:apply-templates select="ws:hotel"/>
          <xsl:apply-templates select="ws:room"/>
        </xsl:template>

        <xsl:template match="ws:buyer">
          <xsl:value-of select="."/>
        </xsl:template>
 
        <xsl:template match="ws:bookingId">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match = "ws:hotelCity" >
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf loc#location]]>
            <![CDATA[ continent hasValue "]]><xsl:apply-templates select="ws:continent"/><![CDATA["]]>
            <![CDATA[ country hasValue "]]><xsl:apply-templates select="ws:country"/><![CDATA["]]>
            <![CDATA[ city hasValue "]]><xsl:apply-templates select="ws:city"/><![CDATA["]]>
        </xsl:template>
        
        <xsl:template match="ws:checkIn">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
        </xsl:template>
        
        <xsl:template match="ws:checkOut">
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf dt#dateTime]]>
            <![CDATA[ year hasValue ]]><xsl:apply-templates select="ws:year"/>
            <![CDATA[ month hasValue ]]><xsl:apply-templates select="ws:month"/>
            <![CDATA[ day hasValue ]]><xsl:apply-templates select="ws:day"/>
        </xsl:template>

        <xsl:template match="ws:smoking">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:numberOfPersons">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:numberOfBeds">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:continent">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:city">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:country">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:street">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:number">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:year">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:month">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:day">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:hour">
          <xsl:value-of select="."/>
        </xsl:template>
        
        <xsl:template match="ws:minute">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:second">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match = "ws:hasLocation" >
          <![CDATA[instance ]]><xsl:value-of select="@instanceId"/> <![CDATA[ memberOf loc#location]]>
            <![CDATA[ continent hasValue "]]><xsl:apply-templates select="ws:continent"/><![CDATA["]]>
            <![CDATA[ country hasValue "]]><xsl:apply-templates select="ws:country"/><![CDATA["]]>
            <![CDATA[ city hasValue "]]><xsl:apply-templates select="ws:city"/><![CDATA["]]>
        </xsl:template>

        <xsl:template match="ws:hasRoomNumber">
          <xsl:value-of select="."/>
        </xsl:template>

        <xsl:template match="ws:stayId">
          <xsl:value-of select="."/>
        </xsl:template>
     </xsl:stylesheet> 
