<?xml version="1.0" encoding="utf-8"?>
     <xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:n2="https://aia.ebankinter.com/wsBrokerService/" xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="n1 xs" > 
          <xsl:output method = "text" encoding="ISO-8859-1" indent="yes" /> 
          
          <xsl:template match = "//ROOT" >
          
          <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule"
          namespace { _"http://www.example.org/ontologies/example#", 
          dc _"http://purl.org/dc/elements/1.1#", 
          wsml _"http://www.wsmo.org/wsml/wsml-syntax#", 
          sm   _"http://users.isoco.net/~slosada/ontologies/bankinter/StockMarket#",
  	      smp  _"http://users.isoco.net/~slosada/ontologies/bankinter/StockMarketProcess#" }

          ontology _"http://www.example.org/ontologies/brokerService"

          importsOntology
          { _"http://users.isoco.net/~slosada/ontologies/bankinter/StockMarket",
  			    _"http://users.isoco.net/~slosada/ontologies/bankinter/StockMarketProcess"}
          ]]>
              <xsl:apply-templates select = "//STOCK" />
              <xsl:apply-templates select = "//RECOMMENDATION" />
              <xsl:apply-templates select = "//RATING" />
              <xsl:apply-templates select = "//RETURNCODE" />
          </xsl:template>
          
          <xsl:template match = "STOCK" > 
               <![CDATA[ 
               instance ]]><xsl:apply-templates select = "CODIGO_ISIN" /><![CDATA[ memberOf sm#Stock]]>
               <![CDATA[sm#isPartOfcompany hasValue "]]><xsl:apply-templates select = "NOMBRE_VALOR" /><![CDATA["]]>
               <![CDATA[sm#hasISIN hasValue "]]><xsl:apply-templates select = "CODIGO_ISIN" /><![CDATA["]]>
               <![CDATA[sm#hasStockMarket hasValue "]]><xsl:apply-templates select = "COD_MERCADO" /><![CDATA["]]>
               <![CDATA[sm#hasCurrency hasValue "]]><xsl:apply-templates select = "DIV_COTIZACION" /><![CDATA["]]>
               <![CDATA[sm#hasDate hasValue "]]><xsl:apply-templates select = "FECHA_COTIZACION_COMP_ACCIONES" /><![CDATA["]]>
               <![CDATA[sm#hasTime hasValue "]]><xsl:apply-templates select = "HORA_COTIZACION_COMP_ACCIONES" /><![CDATA["]]>
               <![CDATA[sm#hasMaximum hasValue "]]><xsl:apply-templates select = "MAX_SESION" /><![CDATA["]]>
               <![CDATA[sm#hasMinimum hasValue "]]><xsl:apply-templates select = "MIN_SESION" /><![CDATA["]]>
               <![CDATA[sm#hasOpeningPrice hasValue "]]><xsl:apply-templates select = "PRECIO_APERTURA" /><![CDATA["]]>
               <![CDATA[sm#hasPreviousPrice hasValue "]]><xsl:apply-templates select = "PRECIO_ANTERIOR" /><![CDATA["]]>
               <![CDATA[sm#hasLastPrice hasValue "]]><xsl:apply-templates select = "PRECIO_ULTIMO" /><![CDATA["]]>
               <![CDATA[sm#hasValueChange hasValue "]]><xsl:apply-templates select = "DIF_CIERRE_ANTERIOR" /><![CDATA["]]>
               <![CDATA[sm#hasVariation hasValue "]]><xsl:apply-templates select = "TPC_CIERRE_ANTERIOR" /><![CDATA["]]>
               <![CDATA[sm#hasVolume hasValue "]]><xsl:apply-templates select = "VOLUMEN" /><![CDATA["]]>                     
          </xsl:template>

          <xsl:template match = "NOMBRE_VALOR" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "CODIGO_ISIN" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "COD_MERCADO" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "DIV_COTIZACION" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "FECHA_COTIZACION_COMP_ACCIONES" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "HORA_COTIZACION_COMP_ACCIONES" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "MAX_SESION" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "MIN_SESION" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "PRECIO_APERTURA" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "PRECIO_ANTERIOR" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "PRECIO_ULTIMO" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "DIF_CIERRE_ANTERIOR" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "TPC_CIERRE_ANTERIOR" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "VOLUMEN" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "RECOMMENDATION" > 
               <xsl:variable name = "buffer1" select = "." />
               <xsl:variable name = "buffer2" select = "./preceding-sibling::ENTITY[1]" />
               <![CDATA[ 
               instance recommendation]]><xsl:value-of select ="normalize-space($buffer2)" /><![CDATA[ memberOf sm#Recommendation]]>
               <![CDATA[sm#hasRecommendationValue hasValue "]]><xsl:value-of select ="normalize-space($buffer1)" /><![CDATA["]]>
               <![CDATA[sm#hasStockISIN hasValue "]]><xsl:value-of select ="normalize-space($buffer2)" /><![CDATA["]]>
          </xsl:template>              

          <xsl:template match = "RATING" > 
               <xsl:variable name = "rating" select = "." />
               <xsl:variable name = "agency" select = "./preceding-sibling::AGENCY[1]" />
               <xsl:variable name = "ratingDate" select = "./following-sibling::RATINGDATE[1]" />
               <xsl:variable name = "previousRating" select = "./following-sibling::PREVIOUSRATING[1]" />
               <xsl:variable name = "previousRatingDate" select = "./following-sibling::PREVIOUSRATINGDATE[1]" />
               <![CDATA[ 
               instance rating]]><xsl:value-of select ="normalize-space($agency)" /><![CDATA[ memberOf sm#Rating]]>
               <![CDATA[sm#hasRatingValue hasValue "]]><xsl:value-of select ="normalize-space($rating)" /><![CDATA["]]>
               <![CDATA[sm#hasRatingDate hasValue "]]><xsl:value-of select ="normalize-space($ratingDate)" /><![CDATA["]]>
               <![CDATA[sm#hasStockISIN hasValue "]]><xsl:value-of select ="normalize-space($agency)" /><![CDATA["]]>
               <![CDATA[sm#hasPreviousRatingValue hasValue "]]><xsl:value-of select ="normalize-space($previousRating)" /><![CDATA["]]>
               <![CDATA[sm#hasPreviousRatingDate hasValue "]]><xsl:value-of select ="normalize-space($previousRatingDate)" /><![CDATA["]]>
          </xsl:template> 
          
          <xsl:template match = "RETURNCODE" > 
               <xsl:variable name = "returncode" select = "." />
               <xsl:variable name = "price" select = "./following-sibling::PRICE[1]" />
               <xsl:variable name = "currency" select = "./following-sibling::CURRENCY[1]" />
               <![CDATA[ 
               instance confirmation memberOf smp#Confirmation]]>
               <![CDATA[hasReturnCode hasValue "]]><xsl:value-of select ="normalize-space($returncode)" /><![CDATA["]]>
               <xsl:if test="./following-sibling::PRICE[1]"><![CDATA[finalPrice hasValue "]]><xsl:value-of select ="normalize-space($price)" /><![CDATA["]]>
               </xsl:if>
               <xsl:if test="./following-sibling::CURRENCY[1]"><![CDATA[finalCurrency hasValue "]]><xsl:value-of select ="normalize-space($currency)" /><![CDATA["]]>
               </xsl:if>
          </xsl:template> 
          //this is to override the built-in templates
          <xsl:template match="text()" />
           
     </xsl:stylesheet> 