<?xml version="1.0" encoding="utf-8"?>
     <xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:n1="https://aia.ebankinter.com/wsBrokerService/" 
	 xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="n1 xs" xmlns:n3="http://swanandmokashi.com" 
	 xmlns:n4="http://www.xignite.com/services/" xmlns:n5="CurrencyRates" xmlns:n6="http://www.strikeiron.com" xmlns:n7="http://localhost:8070/axis/SendEmail.jws" version="1.1"> 
          <xsl:output method = "text" encoding="ISO-8859-1" indent="yes" /> 
          
          <xsl:template match = "//ROOT" >
          <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule"
          namespace { _"http://www.example.org/ontologies/example#", 
          dc _"http://purl.org/dc/elements/1.1#", 
          wsml _"http://www.wsmo.org/wsml/wsml-syntax#", 
     	  sm _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarket.wsml#",
	  smp _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarketProcess.wsml#"}

          ontology brokerService

          importsOntology
          { sm#StockMarket,
	    smp#StockMarketProcess}
          ]]>
              <xsl:apply-templates select = "//STOCK" />
              <xsl:apply-templates select = "//RECOMMENDATION" />
              <xsl:apply-templates select = "//RATING" />
              <xsl:apply-templates select = "//INDEX" />
              <xsl:apply-templates select = "//RETURNCODE" />
              <xsl:apply-templates select = "//noticia" />
          </xsl:template>          

          <xsl:template match = "n3:Quote">
		  <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule"
          namespace { _"http://www.example.org/ontologies/example#", 
          dc _"http://purl.org/dc/elements/1.1#", 
          wsml _"http://www.wsmo.org/wsml/wsml-syntax#", 
     	  sm _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarket.wsml#",
	  smp _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarketProcess.wsml#"}

          ontology brokerService

          importsOntology
          { sm#StockMarket,
	    smp#StockMarketProcess}
          ]]>
               <![CDATA[ 
               instance ]]><xsl:apply-templates select = "n3:StockTicker" /><![CDATA[_]]><![CDATA[ memberOf sm#Stock]]>
               <![CDATA[sm#isPartOfcompany hasValue "]]><xsl:apply-templates select = "n3:CompanyName" /><![CDATA["]]>
               <![CDATA[sm#hasISIN hasValue "]]><xsl:apply-templates select = "n3:StockTicker" /><![CDATA["]]>
               <![CDATA[sm#hasPriceValue hasValue "]]><xsl:apply-templates select = "n3:StockQuote" /><![CDATA["]]>
               <![CDATA[sm#hasDate hasValue "]]><xsl:apply-templates select = "n3:LastUpdated" /><![CDATA["]]>
               <![CDATA[sm#hasMaximum hasValue "]]><xsl:apply-templates select = "n3:DayHighPrice" /><![CDATA["]]>
               <![CDATA[sm#hasMinimum hasValue "]]><xsl:apply-templates select = "n3:DayLowPrice" /><![CDATA["]]>
               <![CDATA[sm#hasOpeningPrice hasValue "]]><xsl:apply-templates select = "n3:OpenPrice" /><![CDATA["]]>
               <![CDATA[sm#hasDividend hasValue "]]><xsl:apply-templates select = "n3:DividendPerShare" /><![CDATA["]]>
               <![CDATA[sm#hasLastPrice hasValue "]]><xsl:apply-templates select = "n3:StockQuote" /><![CDATA["]]>
               <![CDATA[sm#hasValueChange hasValue "]]><xsl:apply-templates select = "n3:Change" /><![CDATA["]]>
               <![CDATA[sm#hasVolume hasValue "]]><xsl:apply-templates select = "n3:Volume" /><![CDATA["]]>                     
               <![CDATA[sm#hasYearRange hasValue "]]><xsl:apply-templates select = "n3:YearRange" /><![CDATA["]]>                     
          </xsl:template>       
          <xsl:template match = "n5:getConversionResponse">
		  <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-flight"
          namespace { _"http://www.example.org/ontologies/example#", 
          dc _"http://purl.org/dc/elements/1.1#", 
          wsml _"http://www.wsmo.org/wsml/wsml-syntax#", 
     	  sm _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarket.wsml#",
	  smp _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarketProcess.wsml#"}

          ontology brokerService

          importsOntology
          { sm#StockMarket,
	    smp#StockMarketProcess}
          ]]>
               <![CDATA[ 
               instance ]]><xsl:apply-templates select = "n5:getConversionResult" /><![CDATA[_]]><![CDATA[ memberOf smp#CurrencyConversionOutput]]>
               <![CDATA[smp#number hasValue "]]><xsl:apply-templates select = "n5:getConversionResult" /><![CDATA["]]>
          </xsl:template>  

          <xsl:template match = "n5:getConversionResult" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>

          <xsl:template match = "n6:SendMessageResult">
		  <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule"
          namespace { _"http://www.example.org/ontologies/example#", 
          dc _"http://purl.org/dc/elements/1.1#", 
          wsml _"http://www.wsmo.org/wsml/wsml-syntax#", 
     	  sm _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarket.wsml#",
	  smp _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarketProcess.wsml#"}

          ontology brokerService

          importsOntology
          { sm#StockMarket,
	    smp#StockMarketProcess}
          ]]>
               <![CDATA[ 
               instance ]]><xsl:apply-templates select = "n6:TrackingTag" /><![CDATA[_]]><![CDATA[ memberOf smp#Confirmation]]>
               <![CDATA[smp#message hasValue "]]><xsl:apply-templates select = "n6:TrackingTag" /><![CDATA["]]>
               <![CDATA[smp#returnCode hasValue "]]><xsl:apply-templates select = "n6:MessageStatus" /><![CDATA["]]>
          </xsl:template>  
          <xsl:template match = "n6:MessageStatus" > 
		<xsl:apply-templates select = "n6:StatusCode" />
          </xsl:template>

          <xsl:template match = "n6:StatusCode" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>

          <xsl:template match = "n6:TrackingTag" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
		<xsl:template match = "n7:sendFromISOCOResponse">
		  <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule"
          namespace { _"http://www.example.org/ontologies/example#", 
          dc _"http://purl.org/dc/elements/1.1#", 
          wsml _"http://www.wsmo.org/wsml/wsml-syntax#", 
     	  sm _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarket.wsml#",
	  smp _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarketProcess.wsml#"}

          ontology brokerService

          importsOntology
          { sm#StockMarket,
	    smp#StockMarketProcess}
          ]]>
               <![CDATA[ 
               instance XX]]><![CDATA[_]]><![CDATA[ memberOf smp#Confirmation]]>
               <![CDATA[smp#message hasValue "]]><xsl:apply-templates select = "sendFromISOCOReturn" /><![CDATA["]]>
          </xsl:template>  

          <xsl:template match = "sendFromISOCOReturn" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "STOCK" > 
               <![CDATA[ 
               instance ]]><xsl:apply-templates select = "CODIGO_ISIN" /><![CDATA[ memberOf sm#Stock]]>
               <![CDATA[sm#isPartOfcompany hasValue "]]><xsl:apply-templates select = "NOMBRE_VALOR" /><![CDATA["]]>
               <![CDATA[sm#hasISIN hasValue "]]><xsl:apply-templates select = "CODIGO_ISIN" /><![CDATA["]]>
               <![CDATA[sm#hasStockMarket hasValue "]]><xsl:apply-templates select = "COD_MERCADO" /><![CDATA["]]>
               <![CDATA[sm#hasCurrency hasValue "]]><xsl:apply-templates select = "DIV_COTIZACION" /><![CDATA["]]>
               <![CDATA[sm#hasDate hasValue "]]><xsl:apply-templates select = "FECHA_COTIZACION_COMP_ACCIONES" /><![CDATA["]]>
               <![CDATA[sm#hasTime hasValue "]]><xsl:apply-templates select = "HORA_COTIZACION_COMP_ACCIONES" /><![CDATA["]]>
               <![CDATA[sm#hasMaximum hasValue "]]><xsl:apply-templates select = "MAX_SESION" /><![CDATA["]]>
               <![CDATA[sm#hasMinimum hasValue "]]><xsl:apply-templates select = "MIN_SESION" /><![CDATA["]]>
               <![CDATA[sm#hasOpeningPrice hasValue "]]><xsl:apply-templates select = "PRECIO_APERTURA" /><![CDATA["]]>
               <![CDATA[sm#hasPreviousPrice hasValue "]]><xsl:apply-templates select = "PRECIO_ANTERIOR" /><![CDATA["]]>
               <![CDATA[sm#hasPriceValue hasValue "]]><xsl:apply-templates select = "PRECIO_ULTIMO" /><![CDATA["]]>
               <![CDATA[sm#hasValueChange hasValue "]]><xsl:apply-templates select = "DIF_CIERRE_ANTERIOR" /><![CDATA["]]>
               <![CDATA[sm#hasVariation hasValue "]]><xsl:apply-templates select = "TPC_CIERRE_ANTERIOR" /><![CDATA["]]>
               <![CDATA[sm#hasVolume hasValue "]]><xsl:apply-templates select = "VOLUMEN" /><![CDATA["]]>                     
               <![CDATA[sm#hasMinYear hasValue "]]><xsl:apply-templates select = "MIN_ANIO" /><![CDATA["]]>                     
               <![CDATA[sm#hasMaxYear hasValue "]]><xsl:apply-templates select = "MAX_ANIO" /><![CDATA["]]>                     
          </xsl:template>

          <xsl:template match = "INDEX" > 
               <![CDATA[ 
               instance ]]><xsl:apply-templates select = "CODIGO_ISIN" /><![CDATA[ memberOf sm#Index]]>               
               <![CDATA[sm#hasIndexID hasValue "]]><xsl:apply-templates select = "CODIGO_ISIN" /><![CDATA["]]>              
               <![CDATA[sm#hasInitalValue hasValue "]]><xsl:apply-templates select = "PRECIO_APERTURA" /><![CDATA["]]>
               <![CDATA[sm#hasActualValue hasValue "]]><xsl:apply-templates select = "PRECIO_ULTIMO" /><![CDATA["]]>
               <![CDATA[sm#hasValueChange hasValue "]]><xsl:apply-templates select = "DIF_CIERRE_ANTERIOR" /><![CDATA["]]>
               <![CDATA[sm#hasVariation hasValue "]]><xsl:apply-templates select = "TPC_CIERRE_ANTERIOR" /><![CDATA["]]>
               <![CDATA[sm#hasVolume hasValue "]]><xsl:apply-templates select = "VOLUMEN" /><![CDATA["]]>                     
          </xsl:template>          

          <xsl:template match = "n3:CompanyName" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          <xsl:template match = "n3:StockTicker" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          <xsl:template match = "n3:StockQuote" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          <xsl:template match = "n3:LastUpdated" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          <xsl:template match = "n3:DayHighPrice" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
                    <xsl:template match = "n3:DayLowPrice" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          <xsl:template match = "n3:OpenPrice" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          <xsl:template match = "n3:DividendPerShare" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>                           
          <xsl:template match = "n3:Change" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>             
          <xsl:template match = "n3:Volume" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>           
          <xsl:template match = "n3:YearRange" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>           
                                                  
          <xsl:template match = "NOMBRE_VALOR" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "CODIGO_ISIN" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "COD_MERCADO" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "DIV_COTIZACION" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "FECHA_COTIZACION_COMP_ACCIONES" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "HORA_COTIZACION_COMP_ACCIONES" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "MAX_SESION" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "MIN_SESION" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "PRECIO_APERTURA" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "PRECIO_ANTERIOR" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "PRECIO_ULTIMO" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "DIF_CIERRE_ANTERIOR" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "TPC_CIERRE_ANTERIOR" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "VOLUMEN" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          <xsl:template match = "MIN_ANIO" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          <xsl:template match = "MAX_ANIO" > 
               <xsl:variable name = "buffer" select = "." />
               <xsl:value-of select ="normalize-space($buffer)" />
          </xsl:template>
          
          <xsl:template match = "RECOMMENDATION" > 
               <xsl:variable name = "buffer1" select = "." />
               <xsl:variable name = "buffer2" select = "./preceding-sibling::ENTITY[1]" />
               <![CDATA[ 
               instance recommendation]]><xsl:value-of select ="normalize-space($buffer2)" /><![CDATA[ memberOf sm#Recommendation]]>
               <![CDATA[sm#hasRecommendationValue hasValue "]]><xsl:value-of select ="normalize-space($buffer1)" /><![CDATA["]]>
               <![CDATA[sm#hasStockISIN hasValue "]]><xsl:value-of select ="normalize-space($buffer2)" /><![CDATA["]]>
          </xsl:template>              

          <xsl:template match = "RATING" > 
               <xsl:variable name = "rating" select = "." />
               <xsl:variable name = "agency" select = "./preceding-sibling::AGENCY[1]" />
               <xsl:variable name = "ratingDate" select = "./following-sibling::RATINGDATE[1]" />
               <xsl:variable name = "previousRating" select = "./following-sibling::PREVIOUSRATING[1]" />
               <xsl:variable name = "previousRatingDate" select = "./following-sibling::PREVIOUSRATINGDATE[1]" />
               <![CDATA[ 
               instance rating]]><xsl:value-of select ="normalize-space($agency)" /><![CDATA[ memberOf sm#Rating]]>
               <![CDATA[sm#hasRatingValue hasValue "]]><xsl:value-of select ="normalize-space($rating)" /><![CDATA["]]>
               <![CDATA[sm#hasRatingDate hasValue "]]><xsl:value-of select ="normalize-space($ratingDate)" /><![CDATA["]]>
               <![CDATA[sm#hasStockISIN hasValue "]]><xsl:value-of select ="normalize-space($agency)" /><![CDATA["]]>
               <![CDATA[sm#hasPreviousRatingValue hasValue "]]><xsl:value-of select ="normalize-space($previousRating)" /><![CDATA["]]>
               <![CDATA[sm#hasPreviousRatingDate hasValue "]]><xsl:value-of select ="normalize-space($previousRatingDate)" /><![CDATA["]]>
          </xsl:template> 
          
          <xsl:template match = "RETURNCODE" > 

               <xsl:variable name = "returncode" select = "." />
               <xsl:variable name = "price" select = "./following-sibling::PRICE[1]" />
               <xsl:variable name = "currency" select = "./following-sibling::CURRENCY[1]" />
               <![CDATA[ 
               instance confirmation memberOf smp#Confirmation]]>
               <![CDATA[hasReturnCode hasValue "]]><xsl:value-of select ="normalize-space($returncode)" /><![CDATA["]]>
               <xsl:if test="./following-sibling::PRICE[1]"><![CDATA[finalPrice hasValue "]]><xsl:value-of select ="normalize-space($price)" /><![CDATA["]]>
               </xsl:if>
               <xsl:if test="./following-sibling::CURRENCY[1]"><![CDATA[finalCurrency hasValue "]]><xsl:value-of select ="normalize-space($currency)" /><![CDATA["]]>
               </xsl:if>
          </xsl:template> 

	   <xsl:template match = "noticia[1]"> 
	   <xsl:variable name = "codigo" select = "codigo" />
	<xsl:variable name = "fechor" select = "fechor" />
	<xsl:variable name = "servicio" select = "servicio" />
	<xsl:variable name = "tipoinfo" select = "tipoinfo" />
	<xsl:variable name = "titular" select = "titular" />
	<![CDATA[ 
	instance noticia memberOf sm#News]]>
	<![CDATA[sm#code hasValue "]]><xsl:value-of select ="normalize-space($codigo)" /><![CDATA["]]>
	<![CDATA[sm#hasDateTime hasValue "]]><xsl:value-of select ="normalize-space($fechor)" /><![CDATA["]]>
	<![CDATA[sm#hasService hasValue "]]><xsl:value-of select ="normalize-space($servicio)" /><![CDATA["]]>
	<![CDATA[sm#hasInfoType hasValue "]]><xsl:value-of select ="normalize-space($tipoinfo)" /><![CDATA["]]>
	<![CDATA[sm#hasNewsDescription hasValue "]]><xsl:value-of select ="normalize-space($titular)" /><![CDATA["]]>
	<![CDATA[sm#hasSource hasValue "Bankinter"]]>
	<![CDATA[sm#hasUrl hasValue "none"]]>
		   </xsl:template>
			   

	   <xsl:template match = "n4:GetStockHeadlinesResult"> 
	   <![CDATA[ 
          wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule"
          namespace { _"http://www.example.org/ontologies/example#", 
          dc _"http://purl.org/dc/elements/1.1#", 
          wsml _"http://www.wsmo.org/wsml/wsml-syntax#", 
     	  sm _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarket.wsml#",
	  smp _"file:///c:/WSMX/resources/qosdiscovery/ontologies/bankinter/StockMarketProcess.wsml#"}

          ontology brokerService

          importsOntology
          { sm#StockMarket,
	    smp#StockMarketProcess}
          ]]>
		  <xsl:apply-templates select="n4:StockNews"/>
		  </xsl:template>

		   <xsl:template match = "n4:StockNews[1]"> 
		<xsl:variable name="otherPos"><xsl:value-of select="position()"/></xsl:variable>
	   <xsl:variable name = "codigo" select = "n4:Ticker" />
	<xsl:variable name = "date" select = "n4:Date" />
	<xsl:variable name = "time" select = "n4:Time" />
	<xsl:variable name = "url" select = "n4:Url" />
	<xsl:variable name = "source" select = "n4:Source" />
	<xsl:variable name = "titular" select = "n4:Headline" />
	
	<![CDATA[ 
	instance noticia memberOf sm#News]]>
	<![CDATA[sm#code hasValue "]]><xsl:value-of select ="normalize-space($codigo)" /><![CDATA["]]>
	<![CDATA[sm#hasDateTime hasValue "]]><xsl:value-of select ="normalize-space($date)" /><xsl:value-of select ="normalize-space($time)" /><![CDATA["]]>
	<![CDATA[sm#hasNewsDescription hasValue "]]><xsl:value-of select ="normalize-space($titular)" /><![CDATA["]]>
	<![CDATA[sm#hasSource hasValue "]]><xsl:value-of select ="normalize-space($source)" /><![CDATA["]]>
	<![CDATA[sm#hasUrl hasValue "]]><xsl:value-of select ="normalize-space($url)" /><![CDATA["]]>
		   </xsl:template>

          		  
          <xsl:template match="text()" />           
</xsl:stylesheet> 
