<?xml version='1.0' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns1="mooncompany" xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">
	<xsl:output method="text" encoding="utf-8"/>
	<xsl:strip-space elements="*"/>

<xsl:template match = "/" >

<![CDATA[
wsmlVariant _"http://www.wsmo.org/wsml/wsml-syntax/wsml-rule"
namespace { _"http://www.wsmx.org/ontologies/moon/target#",
			trgt _"http://www.wsmx.org/ontologies/moon/target#",
			dc _"http://purl.org/dc/elements/1.1#",
			wsml _"http://www.wsmo.org/wsml/wsml-syntax#",
			moon _"http://www.example.org/ontologies/sws-challenge/Moon#"}

ontology _"http://www.wsmx.org/ontologies/moon/target"
importsOntology {_"http://www.example.org/ontologies/sws-challenge/Moon"}
	]]>
	<xsl:apply-templates select = "//ns1:SearchCustomerResponse" />
              <xsl:apply-templates select = "//ns1:NewOrderResponse" />
              <xsl:apply-templates select = "//ns1:AddLineItemResponse" />
	<xsl:apply-templates select = "//ns1:CloseOrderResponse" />
</xsl:template>

<xsl:template match="ns1:SearchCustomerResponse">
instance trgt#SearchCustomerResponse1 memberOf moon#SearchCustomerResponse
	moon#customer hasValue Customer1

instance trgt#Customer1 memberOf moon#Customer
	moon#customerId hasValue <xsl:value-of select="ns1:customerId"/>
	moon#roleCode hasValue _string("<xsl:value-of select="ns1:roleCode"/>")
	moon#contact hasValue Contact1  
	moon#address hasValue Address1

instance trgt#Contact1 memberOf moon#Contact
	moon#contactName hasValue _string("<xsl:value-of select="ns1:contactName"/>")
	moon#telephone hasValue _string("<xsl:value-of select="ns1:telephone"/>")
	moon#email hasValue _string("<xsl:value-of select="ns1:email"/>")

instance trgt#Address1 memberOf moon#Address 
	moon#businessName hasValue _string("<xsl:value-of select="ns1:email"/>")
	moon#street hasValue _string("<xsl:value-of select="ns1:street"/>")
	moon#city  hasValue _string("<xsl:value-of select="ns1:city"/>")
	moon#country hasValue _string("<xsl:value-of select="ns1:countryCode"/>")
	moon#postalCode hasValue _string("<xsl:value-of select="ns1:postalCode"/>")
</xsl:template>

<xsl:template match="ns1:NewOrderResponse">
instance trgt#CreateOrderResponse1 memberOf moon#CreateOrderResponse
	moon#orderId hasValue <xsl:value-of select="ns1:orderId"/>
</xsl:template>

<xsl:template match="ns1:AddLineItemResponse">
<xsl:variable name="a" select="ns1:lineItemId"/>
instance trgt#AddLineItemResponse<xsl:value-of select="generate-id($a)"/><xsl:value-of select="$a"/> memberOf moon#AddLineItemResponse
	moon#orderId hasValue <xsl:value-of select="ns1:orderId"/>
	moon#lineItemId hasValue <xsl:value-of select="ns1:lineItemId"/>
</xsl:template>

<xsl:template match="ns1:CloseOrderResponse">
instance trgt#CloseOrderResponse1 memberOf moon#CloseOrderResponse
	moon#orderId hasValue <xsl:value-of select="ns1:orderId"/>
	moon#itemsNo hasValue <xsl:value-of select="ns1:itemsNo"/>
</xsl:template>

<xsl:template match="ns1:OrderLineItemConfirmation">
<xsl:variable name="a" select="ns1:lineItemId"/>
instance trgt#OrderLineConfirmation<xsl:value-of select="generate-id($a)"/><xsl:value-of select="$a"/> memberOf moon#OrderLineConfirmation
	moon#orderId hasValue <xsl:value-of select="ns1:orderId"/>
	moon#itemId hasValue <xsl:value-of select="ns1:itemId"/>
	moon#status hasValue "<xsl:value-of select="ns1:status"/>"
</xsl:template>

</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2005. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="file:///c:/Program Files/Stylus Studio 2006 XML Enterprise Edition/bin/AddLineResponse.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->