<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:po="http://www.sws-challenge.org/schemas/rnet/POR" xmlns:core="http://www.sws-challenge.org/schemas/rnet/coreElements"
                xmlns:dict="http://www.sws-challenge.org/schemas/rnet/dictionary" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="text" encoding="utf-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="po:Pip3A4PurchaseOrderRequest"><![CDATA[
ontology _"http://www.wsmx.org/ontologies/rosetta/purchaseorderrequestInstances"

importsOntology
    { _"http://www.wsmx.org/ontologies/rosetta/dictionary",
	_"http://www.wsmx.org/ontologies/rosetta/coreelements",
	_"http://www.wsmx.org/ontologies/rosetta/purchaseorderrequest" }
	
instance PO_v1Inst memberOf por#PO_v1 ]]>

instance <xsl:value-of select="core:thisDocumentIdentifier/core:ProprietaryDocumentIdentifier"/> memberOf por#Pip3A4PurchaseOrderRequest
	por#fromRole hasValue fromRoleUID<!--{generate-id(core:PartnerRoleDescription)} -->
	por#purchaseOrder hasValue PurchaseOrderUID
	por#thisDocumentGenerationDateTime hasValue "<xsl:value-of select="core:thisDocumentGenerationDateTime/core:DateTimeStamp"/>"
	por#thisDocumentIdentifier hasValue "<xsl:value-of select="core:thisDocumentIdentifier/core:ProprietaryDocumentIdentifier"/>"
	por#toRole hasValue toRoleUID
	<xsl:for-each select="core:fromRole/core:PartnerRoleDescription">
instance fromRoleUID memberOf core#fromRole 
	core#partnerRoleDescription hasValue partnerRoleDescriptionFromRolepartRoleDe 

instance partnerRoleDescriptionFromRolepartRoleDe memberOf core#partnerRoleDescription
	core#contactInformation hasValue contactInformationFromRolepartRoleDe	<!--Optional -->
	core#globalPartnerRoleClassificationCode hasValue "<xsl:value-of select="dict:GlobalPartnerRoleClassificationCode"/>"
	core#partnerDescription hasValue partnerdescriptionFromRolepartDe
	<xsl:for-each select="core:ContactInformation">
instance contactInformationFromRolepartRoleDe memberOf core#ContactInformation<xsl:for-each select="core:contactName/core:FreeFormText">
	core#contactName hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:EmailAddress">
	core#emailAddress hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
	core#telephoneNumber hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each><!--contactinfo-->
	<xsl:for-each select="core:PartnerDescription">
	
instance partnerdescriptionFromRolepartDe memberOf core#PartnerDescription
	core#businessDescription hasValue BusinessDescriptionFromRolePartDe
	<xsl:for-each select="core:ContactInformation">core#contactInformation hasValue ContactInformationFromRolepartDe
	</xsl:for-each><!--Optional -->
	<xsl:for-each select="core:PhysicalLocation">core#physicalLocation hasValue PhysicalLocationUIDFromRolepartDe
	</xsl:for-each><!--Optional -->

	<xsl:for-each select="core:BusinessDescription"><!--IN PIP this has multiple attributes and subconcepts -->
instance BusinessDescriptionFromRolePartDe memberOf core#BusinessDescription
	<xsl:for-each select="core:businessName/core:FreeFormText">core#businessname hasValue "<xsl:value-of select="."/>"
	</xsl:for-each>
	</xsl:for-each><!--Business description -->

	<xsl:for-each select="core:ContactInformation">
instance ContactInformationFromRolepartDe memberOf core#ContactInformation
	<xsl:for-each select="core:contactName/core:FreeFormText">core#contactName hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:EmailAddress">
	core#emailAddress hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
	core#telephoneNumber hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each><!--ContactInformation -->
<!-- in RosettaNet other options as well -->

	<xsl:for-each select="core:PhysicalLocation">

instance PhysicalLocationUIDFromRolepartDe memberOf core#PhysicalLocation<xsl:for-each select="core:PhysicalAddress">
	core#physicalAddress hasValue PhysicalAddressUIDFromRolepartDe

instance PhysicalAddressUIDFromRolepartDe memberOf core#PhysicalAddress<xsl:for-each select="core:addressLine1/core:FreeFormText">
	core#addressLine hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:cityName/core:FreeFormText">
	core#cityName hasValue "<xsl:value-of select="."/>"</xsl:for-each><!--Axiom probably should be added memberOf dict#GlobalCountryCode -->
	<xsl:for-each select="dict:GlobalCountryCode">
	core#globalCountryCode hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:NationalPostalCode"><!--Optional -->
	core#nationalPostalCode hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each>	<!--physical address -->
	</xsl:for-each> <!--physical location -->
 </xsl:for-each><!-- partnerDescription -->
</xsl:for-each>	<!-- From Role -->

<xsl:for-each select="po:PurchaseOrder">

instance PurchaseOrderUID memberOf por#PurchaseOrder
	por#globalPurchaseOrderTypeCode hasValue "<xsl:value-of select="dict:GlobalPurchaseOrderTypeCode"/>"
	por#isDropShip hasValue IsDropShipPo<xsl:for-each select="po:ProductLineItem">
	por#productLineItem hasValue ProductLineItem<xsl:value-of select="position()"/>
	</xsl:for-each>
	<xsl:for-each select="core:requestedEvent">
	por#requestedEvent hasValue RequestedEventPo
	</xsl:for-each>
	<xsl:for-each select="core:shipTo">por#shipTo hasValue ShipToPo
	</xsl:for-each>
	<xsl:for-each select="core:totalAmount">por#totalAmount hasValue TotalAmountPo
	</xsl:for-each>

<xsl:for-each select="core:isDropShip/core:AffirmationIndicator">
instance IsDropShipPo memberOf core#IsDropShip
	core#affirmationIndicator hasValue "<xsl:value-of select="."/>"</xsl:for-each>

<xsl:for-each select="po:ProductLineItem">
<xsl:variable name="NO"><xsl:value-of select="position()"/></xsl:variable>

instance ProductLineItem<xsl:value-of select="$NO"/> memberOf por#ProductLineItem
	por#globalUnitOfMeasureCode hasValue "<xsl:value-of select="dict:GlobalProductUnitOfMeasureCode"/>"
	por#isDropShip hasValue isDropShipLineItem<xsl:value-of select="$NO"/>
	por#linenumber hasValue "<xsl:value-of select="core:LineNumber"/>"
	por#orderQuantity hasValue OrderQuantityLineItem<xsl:value-of select="$NO"/>
	por#productIdentification hasValue productIdentificationLineItem<xsl:value-of select="$NO"/>
	por#requestedEvent hasValue requestedEventLineItem<xsl:value-of select="$NO"/>
	por#requestedUnitPrice hasValue requestedUnitPriceLineItem<xsl:value-of select="$NO"/>
	por#totalLineItemAmount hasValue totalLineItemAmountLineItem<xsl:value-of select="$NO"/>

instance isDropShipLineItem<xsl:value-of select="$NO"/> memberOf core#IsDropShip
	core#affirmationIndicator hasValue "<xsl:value-of select="core:isDropShip/core:AffirmationIndicator"/>"
<xsl:for-each select="po:OrderQuantity/core:requestedQuantity/core:ProductQuantity"> 
instance OrderQuantityLineItem<xsl:value-of select="$NO"/> memberOf por#OrderQuantity
	por#requestedQuantity hasValue requestedQuantityLineItem<xsl:value-of select="$NO"/>
	
instance requestedQuantityLineItem<xsl:value-of select="$NO"/> memberOf core#RequestedQuantity
	core#productQuantity hasValue "<xsl:value-of select="."/>"</xsl:for-each>

<xsl:for-each select="core:ProductIdentification/core:GlobalProductIdentifier">

instance productIdentificationLineItem<xsl:value-of select="$NO"/> memberOf core#ProductIdentification
	core#globalProductIdentifier hasValue "<xsl:value-of select="."/>"<!-- instance <xsl:value-of select="."/> memberOf core#GlobalProductIdentifier -->
</xsl:for-each>

<xsl:for-each select="core:requestedEvent/core:TransportationEvent">
instance requestedEventLineItem<xsl:value-of select="$NO"/> memberOf core#RequestedEvent
	core#transportationEvent hasValue transportationEventLineItem<xsl:value-of select="$NO"/>

instance transportationEventLineItem<xsl:value-of select="$NO"/> memberOf core#TransportationEvent
	core#dateStamp hasValue "<xsl:value-of select="core:DateStamp"/>"
	<xsl:for-each select="dict:GlobalTransportEventCode">core#globalTransportEventCode hasValue <xsl:value-of select="."/>
	</xsl:for-each>
<!--	<xsl:for-each select="core:DateStamp">
instance <xsl:value-of select="."/> memberOf core#DateStamp
	</xsl:for-each>	-->
	<xsl:for-each select="dict:GlobalTransportEventCode">

instance <xsl:value-of select="."/> memberOf dict#GlobalTransportEventCode
	</xsl:for-each>
	</xsl:for-each> <!-- requestedEvent -->

<xsl:for-each select="core:requestedUnitPrice/core:FinancialAmount">
instance requestedUnitPriceLineItem<xsl:value-of select="$NO"/> memberOf core#RequestedUnitPrice
	core#financialAmount hasValue FinancialAmountLineItem<xsl:value-of select="$NO"/>

instance FinancialAmountLineItem<xsl:value-of select="$NO"/> memberOf core#FinancialAmount
	core#globalCurrencyCode hasValue <xsl:value-of select="dict:GlobalCurrencyCode"/>
    <xsl:for-each select="core:MonetaryAmount">
	core#monetaryAmount hasValue "<xsl:value-of select="."/>"</xsl:for-each>

instance <xsl:value-of select="dict:GlobalCurrencyCode"/> memberOf dict#GlobalCurrencyCode
</xsl:for-each> <!-- requestedUnitprice/financialAmount -->

<xsl:for-each select="core:totalLineItemAmount/core:FinancialAmount">
instance totalLineItemAmountLineItem<xsl:value-of select="$NO"/> memberOf core#totalLineItemAmount
	core#financialAmount hasValue FinancialAmountTotalLineItem<xsl:value-of select="$NO"/>

instance FinancialAmountTotalLineItem<xsl:value-of select="$NO"/> memberOf core#FinancialAmount
	core#globalCurrencyCode hasValue <xsl:value-of select="dict:GlobalCurrencyCode"/>
    <xsl:for-each select="core:MonetaryAmount">
	core#monetaryAmount hasValue "<xsl:value-of select="."/>"</xsl:for-each>

instance <xsl:value-of select="dict:GlobalCurrencyCode"/> memberOf dict#GlobalCurrencyCode
</xsl:for-each><!-- core:totalLineItemAmount/core:FinancialAmoun -->
</xsl:for-each><!-- productLineItem-->
<!-- purchaseOrder level continues  -->
<xsl:for-each select="core:requestedEvent/core:TransportationEvent">
instance RequestedEventPo memberOf core#requestedEvent 
	core#transportationEvent hasValue poIDtransportationEvent

instance poIDtransportationEvent memberOf core#TransportationEvent
	core#dateStamp hasValue "<xsl:value-of select="core:DateStamp"/>"
	<xsl:for-each select="dict:GlobalTransportEventCode">globalTransportEventCode hasValue <xsl:value-of select="."/>
	</xsl:for-each>
<!-- not supported
	<xsl:for-each select="core:DateStamp">

instance <xsl:value-of select="."/> memberOf core#DateStamp
	</xsl:for-each>	 -->
	<xsl:for-each select="dict:GlobalTransportEventCode">
instance <xsl:value-of select="."/> memberOf dict#GlobalTransportEventCode
	</xsl:for-each>
	</xsl:for-each> <!-- requestedEvent -->

<xsl:for-each select="core:shipTo">
instance ShipToPo memberOf core#shipTo
	<xsl:for-each select="core:PartnerDescription">core#partnerDescription hasValue partnerdescriptionShipTo
<!-- identical to above, but IDs generated differ -->
instance partnerdescriptionShipTo memberOf core#partnerDescription
	core#businessDescription hasValue BusinessDescriptionShipToPo
	<xsl:for-each select="core:ContactInformation">core#contactInformation hasValue ContactInformationShipToPo
	</xsl:for-each><!--Optional -->
	<xsl:for-each select="core:PhysicalLocation">core#physicalLocation hasValue PhysicalLocationShipToPo
	</xsl:for-each><!--Optional -->

	<xsl:for-each select="core:BusinessDescription"><!--IN PIP this has multiple attributes and subconcepts -->
instance BusinessDescriptionShipToPo memberOf core#BusinessDescription
	<xsl:for-each select="core:businessName/core:FreeFormText">core#businessname hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each><!--Business description -->

	<xsl:for-each select="core:ContactInformation">

instance ContactInformationShipToPo memberOf core#ContactInformation
	<xsl:for-each select="core:contactName/core:FreeFormText">core#contactName hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:EmailAddress">
	core#emailAddress hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
	core#telephoneNumber hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each><!--ContactInformation -->
<!-- in RosettaNet other options as well -->

	<xsl:for-each select="core:PhysicalLocation">

instance PhysicalLocationShipToPo memberOf core#PhysicalLocation<xsl:for-each select="core:PhysicalAddress">
	core#physicalAddress hasValue PhysicalAddressShipToPo

instance PhysicalAddressShipToPo memberOf core#PhysicalAddress<xsl:for-each select="core:addressLine1/core:FreeFormText">
	core#addressLine hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:cityName/core:FreeFormText">
	core#cityName hasValue "<xsl:value-of select="."/>"</xsl:for-each><!--Axiom probably should be added memberOf dict#GlobalCountryCode -->
	<xsl:for-each select="dict:GlobalCountryCode">
	core#globalCountryCode hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:NationalPostalCode"><!--Optional -->
	core#nationalPostalCode hasValue "<xsl:value-of select="."/>"
	</xsl:for-each>
	</xsl:for-each>	<!--physical address -->
	</xsl:for-each> <!--physical location -->
 </xsl:for-each><!-- partnerDescription -->
</xsl:for-each> <!-- shipTo -->

<xsl:for-each select="core:totalAmount/core:FinancialAmount">
instance TotalAmountPo memberOf core#TotalAmount
	core#financialAmount hasValue FinancialAmountTotal

instance FinancialAmountTotal memberOf core#FinancialAmount
	core#globalCurrencyCode hasValue <xsl:value-of select="dict:GlobalCurrencyCode"/>
    <xsl:for-each select="core:MonetaryAmount">
	core#monetaryAmount hasValue "<xsl:value-of select="."/>"</xsl:for-each>

instance <xsl:value-of select="dict:GlobalCurrencyCode"/> memberOf dict#GlobalCurrencyCode
</xsl:for-each> <!-- totalAmount/financialAmount -->
	</xsl:for-each><!-- Purchase Order-->

<xsl:for-each select="core:toRole/core:PartnerRoleDescription"><!-- Identical to FromRole. Can be refactored.-->
instance toRole memberOf core#toRole 
	core#partnerRoleDescription hasValue partnerRoleDescriptionToRoleDe 

instance partnerRoleDescriptionToRoleDe memberOf core#partnerRoleDescription
	core#contactInformation hasValue contactInformationToRolepartRoleDe	<!--Optional -->
	core#globalPartnerRoleClassificationCode hasValue "<xsl:value-of select="dict:GlobalPartnerRoleClassificationCode"/>"
	core#partnerDescription hasValue partnerDescriptionToRolepartRole	
	<xsl:for-each select="core:ContactInformation">
instance contactInformationToRolepartRoleDe memberOf core#ContactInformation
	<xsl:for-each select="core:contactName/core:FreeFormText">core#contactName hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:EmailAddress">
	core#emailAddress hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
	core#telephoneNumber hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each><!--contactinfo-->

	<xsl:for-each select="core:PartnerDescription">
instance partnerdescription memberOf core#PartnerDescription
	core#businessDescription hasValue BusinessDescriptionToRolePartDe	
	<xsl:for-each select="core:ContactInformation">core#contactInformation hasValue ContactInformationToRolePartDe
	</xsl:for-each><!--Optional -->
	<xsl:for-each select="core:PhysicalLocation">core#physicalLocation hasValue PhysicalLocationToRolePartDe	
	</xsl:for-each><!--Optional -->

	<xsl:for-each select="core:BusinessDescription"><!--IN PIP this has multiple attributes and subconcepts -->
instance BusinessDescriptionToRolePartDe memberOf core#BusinessDescription
	<xsl:for-each select="core:businessName/core:FreeFormText">core#businessName hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each><!--Business description -->

	<xsl:for-each select="core:ContactInformation">

instance ContactInformationToRolePartDe memberOf core#ContactInformation
	<xsl:for-each select="core:contactName/core:FreeFormText">core#contactName hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:EmailAddress">
	core#emailAddress hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
	core#telephoneNumber hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each><!--ContactInformation -->
<!-- in RosettaNet other options as well -->

	<xsl:for-each select="core:PhysicalLocation">

instance PhysicalLocationToRolePartDe memberOf core#PhysicalLocation
	<xsl:for-each select="core:PhysicalAddress">core#physicalAddress hasValue PhysicalAddressToRolePartDe

instance PhysicalAddressToRolePartDe memberOf core#PhysicalAddress<xsl:for-each select="core:addressLine1/core:FreeFormText">
	core#addressLine hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:cityName/core:FreeFormText">
	core#cityName hasValue "<xsl:value-of select="."/>"</xsl:for-each><!--Axiom probably should be added memberOf dict#GlobalCountryCode -->
	<xsl:for-each select="dict:GlobalCountryCode">
	core#globalCountryCode hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	<xsl:for-each select="core:NationalPostalCode"><!--Optional -->
	core#nationalPostalCode hasValue "<xsl:value-of select="."/>"</xsl:for-each>
	</xsl:for-each>	<!--physical address -->
	</xsl:for-each> <!--physical location -->
 </xsl:for-each><!-- partnerDescription -->
</xsl:for-each>	<!-- From Role -->
</xsl:template> <!-- PIP3A4 -->
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="3" userelativepaths="yes" externalpreview="yes" url="Example_Purchase_Order_Request2.xml" htmlbaseurl="" outputurl="test2.txt" processortype="xalan" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no" ><SourceSchema srcSchemaPath="3A4_Simplified_PurchaseOrderRequest.xsd" srcSchemaRoot="Pip3A4PurchaseOrderRequest" AssociatedInstance="" loaderFunction="document" loaderFunctionUsesURI="no"/></MapperInfo><MapperBlockPosition><template match="/"></template></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->