<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:po="http://www.sws-challenge.org/schemas/rnet/POR" xmlns:core="http://www.sws-challenge.org/schemas/rnet/coreElements"
                xmlns:dict="http://www.sws-challenge.org/schemas/rnet/dictionary" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="xml" encoding="utf-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="po:Pip3A4PurchaseOrderRequest">
<poc:Pip3A4PurchaseOrderConfirmation 
	xmlns:poc="http://www.sws-challenge.org/schemas/rnet/POC" 
	xmlns:core="http://www.sws-challenge.org/schemas/rnet/coreElements" 
	xmlns:dict="http://www.sws-challenge.org/schemas/rnet/dictionary" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xsi:schemaLocation="http://www.sws-challenge.org/schemas/rnet/POC
	http://www.sws-challenge.org/schemas/rnet/3A4_Simplified_PurchaseOrderConfirmation.xsd">		
	<xsl:for-each select="core:toRole/core:PartnerRoleDescription">
	<core:fromRole>
		<core:PartnerRoleDescription>
			<xsl:for-each select="core:ContactInformation">
			<core:ContactInformation>
				<xsl:for-each select="core:contactName/core:FreeFormText">
				<core:contactName>
					<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
				</core:contactName></xsl:for-each>
				<xsl:for-each select="core:EmailAddress"><core:EmailAddress><xsl:value-of select="."/></core:EmailAddress></xsl:for-each>
				<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
				<core:telephoneNumber>
					<core:CommunicationsNumber><xsl:value-of select="."/></core:CommunicationsNumber>
				</core:telephoneNumber>
				</xsl:for-each>
			</core:ContactInformation>
			</xsl:for-each>
			<xsl:for-each select="dict:GlobalPartnerRoleClassificationCode">
				<dict:GlobalPartnerRoleClassificationCode><xsl:value-of select="."/></dict:GlobalPartnerRoleClassificationCode>
			</xsl:for-each>
			<xsl:for-each select="core:PartnerDescription">
			<core:PartnerDescription>
				<xsl:for-each select="core:BusinessDescription/core:businessName/core:FreeFormText">
				<core:BusinessDescription>
					<core:businessName>
						<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
					</core:businessName>
				</core:BusinessDescription>
				</xsl:for-each>
				<xsl:for-each select="core:ContactInformation">
				<core:ContactInformation>
					<xsl:for-each select="core:contactName/core:FreeFormText">
					<core:contactName>
						<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
					</core:contactName>
					</xsl:for-each>	
					<xsl:for-each select="core:EmailAddress"><core:EmailAddress><xsl:value-of select="."/></core:EmailAddress></xsl:for-each>
					<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
					<core:telephoneNumber>
						<core:CommunicationsNumber><xsl:value-of select="."/></core:CommunicationsNumber>
					</core:telephoneNumber>
					</xsl:for-each>
				</core:ContactInformation>
				</xsl:for-each>
				<xsl:for-each select="core:PhysicalLocation">
				<core:PhysicalLocation>
					<xsl:for-each select="core:PhysicalAddress">
					<core:PhysicalAddress>
						<xsl:for-each select="core:addressLine1/core:FreeFormText">
						<core:addressLine1>
							<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
						</core:addressLine1>
						</xsl:for-each>
						<xsl:for-each select="core:cityName/core:FreeFormText">
						<core:cityName>
							<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
						</core:cityName>
						</xsl:for-each>
						<xsl:for-each select="dict:GlobalCountryCode">	
						<dict:GlobalCountryCode><xsl:value-of select="."/></dict:GlobalCountryCode>
						</xsl:for-each>
						<xsl:for-each select="core:NationalPostalCode">
						<core:NationalPostalCode><xsl:value-of select="."/></core:NationalPostalCode>
						</xsl:for-each>
					</core:PhysicalAddress>
					</xsl:for-each>
				</core:PhysicalLocation>
				</xsl:for-each>
			</core:PartnerDescription>
			</xsl:for-each>
		</core:PartnerRoleDescription>
	</core:fromRole>
	</xsl:for-each>
<xsl:for-each select="po:PurchaseOrder">
	<poc:PurchaseOrder>
		<dict:GlobalPurchaseOrderStatusCode>Accept</dict:GlobalPurchaseOrderStatusCode><!-- This implies eerything was ok -->
		<dict:GlobalPurchaseOrderTypeCode><xsl:value-of select="dict:GlobalPurchaseOrderTypeCode"/></dict:GlobalPurchaseOrderTypeCode>
	<xsl:for-each select="core:isDropShip/core:AffirmationIndicator">
		<core:isDropShip>
			<core:AffirmationIndicator><xsl:value-of select="."/></core:AffirmationIndicator>
		</core:isDropShip>
	</xsl:for-each>
	<xsl:for-each select="po:ProductLineItem">
		<poc:ProductLineItem>
			<core:buyerLineItem>
				<core:LineNumber><xsl:value-of select="core:LineNumber"/></core:LineNumber>
			</core:buyerLineItem>
			<dict:GlobalProductUnitOfMeasureCode><xsl:value-of select="dict:GlobalProductUnitOfMeasureCode"/></dict:GlobalProductUnitOfMeasureCode>
			<dict:GlobalPurchaseOrderStatusCode>Accept</dict:GlobalPurchaseOrderStatusCode><!-- This implies eerything was ok -->
			<xsl:for-each select="core:isDropShip/core:AffirmationIndicator">
			<core:isDropShip>
				<core:AffirmationIndicator><xsl:value-of select="."/></core:AffirmationIndicator>
			</core:isDropShip>
			</xsl:for-each>
			<core:LineNumber><xsl:value-of select="core:LineNumber"/></core:LineNumber> <!-- in here possbily some logic? -->
		<xsl:for-each select="po:OrderQuantity/core:requestedQuantity/core:ProductQuantity"> 
			<poc:OrderQuantity>
				<core:requestedQuantity>
					<core:ProductQuantity><xsl:value-of select="."/></core:ProductQuantity>
				</core:requestedQuantity>
				<core:scheduledShipQuantity>
					<core:ProductQuantity><xsl:value-of select="."/></core:ProductQuantity> <!-- in here possbily some logic? -->
				</core:scheduledShipQuantity>
			</poc:OrderQuantity>
		</xsl:for-each>
			<xsl:for-each select="core:ProductIdentification/core:GlobalProductIdentifier">  <!--if this changed to suport other identifiers, then more logic is needed.. -->
			<core:ProductIdentification>
				<core:GlobalProductIdentifier><xsl:value-of select="."/></core:GlobalProductIdentifier>
			</core:ProductIdentification>
			</xsl:for-each>
			<xsl:for-each select="core:requestedEvent/core:TransportationEvent">
			<core:requestedEvent>
				<core:TransportationEvent>
					<core:DateStamp><xsl:value-of select="core:DateStamp"/></core:DateStamp>
					<xsl:for-each select="dict:GlobalTransportEventCode"><dict:GlobalTransportEventCode><xsl:value-of select="."/></dict:GlobalTransportEventCode></xsl:for-each>
				</core:TransportationEvent>
			</core:requestedEvent>
			</xsl:for-each>
			<xsl:for-each select="core:requestedUnitPrice/core:FinancialAmount">
			<core:requestedUnitPrice>
				<core:FinancialAmount>
					<dict:GlobalCurrencyCode><xsl:value-of select="dict:GlobalCurrencyCode"/></dict:GlobalCurrencyCode>
					<xsl:for-each select="core:MonetaryAmount"><core:MonetaryAmount><xsl:value-of select="."/></core:MonetaryAmount></xsl:for-each>
				</core:FinancialAmount>
			</core:requestedUnitPrice>
			</xsl:for-each>
			<!--  should be more complex
			<xsl:for-each select="core:ShippedQuantityInformation> 
			<core:ShippedQuantityInformation>
				<core:DateTimeStamp><xsl:value-of select="core:DateStamp"/></core:DateTimeStamp>
				<xsl:for-each select="po:OrderQuantity/core:requestedQuantity/core:ProductQuantity"><core:shippedQuantity>
					<core:ProductQuantity><xsl:value-of select="."/></core:ProductQuantity>
				</core:shippedQuantity></xsl:for-each>
			</core:ShippedQuantityInformation>
	</xsl:for-each>-->
			<xsl:for-each select="core:totalLineItemAmount/core:FinancialAmount">	
			<core:totalLineItemAmount>
				<core:FinancialAmount>
					<dict:GlobalCurrencyCode><xsl:value-of select="dict:GlobalCurrencyCode"/></dict:GlobalCurrencyCode>
					<core:MonetaryAmount><xsl:value-of select="core:MonetaryAmount"/></core:MonetaryAmount>
				</core:FinancialAmount>
			</core:totalLineItemAmount>
			</xsl:for-each>
			<xsl:for-each select="core:requestedUnitPrice/core:FinancialAmount">
			<core:unitPrice>
				<core:FinancialAmount>
					<dict:GlobalCurrencyCode><xsl:value-of select="dict:GlobalCurrencyCode"/></dict:GlobalCurrencyCode>
					<core:MonetaryAmount><xsl:value-of select="core:MonetaryAmount"/></core:MonetaryAmount>
				</core:FinancialAmount>
			</core:unitPrice>
			</xsl:for-each>
		</poc:ProductLineItem>
	</xsl:for-each> <!-- product lineItem -->
	<xsl:for-each select="core:totalAmount/core:FinancialAmount"> <!-- This could be counted together from lineItems. Axiom could chack if they are in message as well-->
		<core:totalAmount>
			<core:FinancialAmount>
				<dict:GlobalCurrencyCode><xsl:value-of select="dict:GlobalCurrencyCode"/></dict:GlobalCurrencyCode>
				<core:MonetaryAmount><xsl:value-of select="core:MonetaryAmount"/></core:MonetaryAmount>
			</core:FinancialAmount>
		</core:totalAmount>
	</xsl:for-each>
	</poc:PurchaseOrder>
</xsl:for-each>
	<core:requestingDocumentDateTime>
		<core:DateTimeStamp><xsl:value-of select="core:thisDocumentGenerationDateTime/core:DateTimeStamp"/></core:DateTimeStamp>
	</core:requestingDocumentDateTime>
	<core:requestingDocumentIdentifier>
		<core:ProprietaryDocumentIdentifier><xsl:value-of select="core:thisDocumentIdentifier/core:ProprietaryDocumentIdentifier"/></core:ProprietaryDocumentIdentifier>
	</core:requestingDocumentIdentifier>
	<core:thisDocumentGenerationDateTime>
		<core:DateTimeStamp/><!-- add time here of document generation -->
	</core:thisDocumentGenerationDateTime>
	<core:thisDocumentIdentifier>
		<core:ProprietaryDocumentIdentifier/><!-- add time here of document generation -->
	</core:thisDocumentIdentifier>
	<xsl:for-each select="core:fromRole/core:PartnerRoleDescription">
	<core:toRole>
		<core:PartnerRoleDescription>
			 <xsl:for-each select="core:ContactInformation">
				<core:ContactInformation>
					<xsl:for-each select="core:contactName/core:FreeFormText">
						<core:contactName>
							<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
						</core:contactName></xsl:for-each>
					<xsl:for-each select="core:EmailAddress"><core:EmailAddress><xsl:value-of select="."/></core:EmailAddress></xsl:for-each>
					<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
						<core:telephoneNumber>
							<core:CommunicationsNumber><xsl:value-of select="."/></core:CommunicationsNumber>
						</core:telephoneNumber>
					</xsl:for-each>
				</core:ContactInformation>
				</xsl:for-each>
			<xsl:for-each select="dict:GlobalPartnerRoleClassificationCode">
				<dict:GlobalPartnerRoleClassificationCode><xsl:value-of select="."/></dict:GlobalPartnerRoleClassificationCode>
			</xsl:for-each>
			<xsl:for-each select="core:PartnerDescription">
				<core:PartnerDescription>
					<xsl:for-each select="core:BusinessDescription/core:businessName/core:FreeFormText">
						<core:BusinessDescription>
							<core:businessName>
								<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
							</core:businessName>
						</core:BusinessDescription>
					</xsl:for-each>
					<xsl:for-each select="core:ContactInformation">
						<core:ContactInformation>
							<xsl:for-each select="core:contactName/core:FreeFormText">
								<core:contactName>
									<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
								</core:contactName>
								</xsl:for-each>
								<xsl:for-each select="core:EmailAddress"><core:EmailAddress><xsl:value-of select="."/></core:EmailAddress></xsl:for-each>
								<xsl:for-each select="core:telephoneNumber/core:CommunicationsNumber">
									<core:telephoneNumber>
										<core:CommunicationsNumber><xsl:value-of select="."/></core:CommunicationsNumber>
									</core:telephoneNumber>
								</xsl:for-each>
						</core:ContactInformation>
					</xsl:for-each>
					<xsl:for-each select="core:PhysicalLocation">
						<core:PhysicalLocation>
							<xsl:for-each select="core:PhysicalAddress">
								<core:PhysicalAddress>
									<xsl:for-each select="core:addressLine1/core:FreeFormText">
										<core:addressLine1>
											<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
										</core:addressLine1>
									</xsl:for-each>
									<xsl:for-each select="core:cityName/core:FreeFormText">
										<core:cityName>
											<core:FreeFormText><xsl:value-of select="."/></core:FreeFormText>
										</core:cityName>
									</xsl:for-each>
									<xsl:for-each select="dict:GlobalCountryCode">	
										<dict:GlobalCountryCode><xsl:value-of select="."/></dict:GlobalCountryCode>
									</xsl:for-each>
									<xsl:for-each select="core:NationalPostalCode">
										<core:NationalPostalCode><xsl:value-of select="."/></core:NationalPostalCode>
									</xsl:for-each>
								</core:PhysicalAddress>
							</xsl:for-each>
						</core:PhysicalLocation>
					</xsl:for-each>
			</core:PartnerDescription>
			</xsl:for-each>
		</core:PartnerRoleDescription>
	</core:toRole>
	</xsl:for-each>
</poc:Pip3A4PurchaseOrderConfirmation>

</xsl:template> <!-- PIP3A4 -->
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2005. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\webservices\Acknowledge_Example_Purchase_Order_Request.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->